# wxDynamicLibraryDetails Class Reference
[Application and Process Management]

`#include </home/work/projects/wx/2.9/wx/interface/wx/dynlib.h>`

## Detailed Description

This class is used for the objects returned by the wxDynamicLibrary::ListLoaded() method and contains the information about a single module loaded into the address space of the current process.

A module in this context may be either a dynamic library or the main program itself.

##

Library: wxBase
Category: Application and Process Management

## Public Member Functions

bool | GetAddress (void *addr, size_t *len) const
| Retrieves the load address and the size of this module.
wxString | GetName () const
| Returns the base name of this module, e.g.
wxString | GetPath () const
| Returns the full path of this module if available, e.g.
wxString | GetVersion () const
| Returns the version of this module, e.g.

List of all members.

## Member Function Documentation

bool wxDynamicLibraryDetails::GetAddress | ( | void * | addr,
|  | size_t * | len |
| ) |  |  | const

Retrieves the load address and the size of this module.

Parameters:

  | addr | The pointer to the location to return load address in, may be NULL.
  | len | Pointer to the location to return the size of this module in memory in, may be NULL.

Returns:
  true if the load address and module size were retrieved, false if this information is not available.

wxString wxDynamicLibraryDetails::GetName | ( |  | ) | const

Returns the base name of this module, e.g.

`"kernel32.dll"` or `"libc-2.3.2.so"`.

wxString wxDynamicLibraryDetails::GetPath | ( |  | ) | const

Returns the full path of this module if available, e.g.

`"c:\windows\system32\kernel32.dll"` or `"/lib/libc-2.3.2.so"`.

wxString wxDynamicLibraryDetails::GetVersion | ( |  | ) | const

Returns the version of this module, e.g.

`"5.2.3790.0"` or `"2.3.2"`. The returned string is empty if the version information is not available.

|  | [ top ]